- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QTextObject Class Reference

Search for all occurrences

## Detailed Description

Definition at line 63 of file qtextobject.h.

`#include <qtextobject.h>`

Inheritance diagram for QTextObject:
[legend]

List of all members.

## Public Member Functions
QTextFormat | format () const
int | formatIndex () const
QTextDocument * | document () const
int | objectIndex () const
QTextDocumentPrivate * | docHandle () const
## Protected Member Functions
| QTextObject (QTextDocument *doc)
| ~QTextObject ()
void | setFormat (const QTextFormat &format)
| QTextObject (QTextObjectPrivate &p, QTextDocument *doc)
## Friends
class | QTextDocumentPrivate

## Constructor & Destructor Documentation

QTextObject | ( | QTextDocument * | doc | ) | `[explicit, protected]`

~QTextObject | ( |  | ) | `[protected]`

QTextObject | ( | QTextObjectPrivate & | p,
|  | QTextDocument * | doc
| ) |  | `[protected]`

## Member Function Documentation

void setFormat | ( | const QTextFormat & | format | ) | `[protected]`

Search for all occurrences

QTextFormat format | ( |  | ) | const

Search for all occurrences

Reimplemented in QTextList, and QTextTable.

int formatIndex | ( |  | ) | const

Search for all occurrences

QTextDocument* document | ( |  | ) | const

Search for all occurrences

int objectIndex | ( |  | ) | const

Search for all occurrences

QTextDocumentPrivate* docHandle | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QTextDocumentPrivate `[friend]`

Search for all occurrences

Reimplemented in QTextBlockGroup, and QTextFrame.

Definition at line 89 of file qtextobject.h.

The documentation for this class was generated from the following file:

- QtGui/qtextobject.h

QTextObject QTextObject QTextObject QTextObject QTextObject QTextObject QTextObject QTextObject QTextObject QTextObject
QTextObject QTextObject QTextObject QTextObject QTextObject QTextObject QTextObject QTextObject QTextObject QTextObject